Subject: Linux-Misc Digest #961
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Mon, 17 Oct 94 23:13:19 EDT

Linux-Misc Digest #961, Volume #2                Mon, 17 Oct 94 23:13:19 EDT

Contents:
  Help! Screwed up Boot Sector! (Someone Short)
  Re: Nailed down to 386bsd or linux, now which one? (Janne Sinkkonen)
  Re: Frame Maker for Linux! (Vincent Pagel)
  xgopher and term (Bill McCarthy)
  Re: Printing to postscript printer? (Harald Milz)
  Re: siscad (Harald Milz)
  Re: YOUR VERY OWN IDLE DAEMON (Harald Milz)
  Re: Comments about the Linux WP idea (Byron A Jeff)
  Line Drawing Characters ([email-masked])
  Re: Yggdrasil Fall 1994: buyers be aware (Adam J. Richter)
  PPP (Chat) problem! (Pat Cai)
  Re: What is Linux good for? (Andi Kleen)
  Re: Word processors for Linux? (Klamer Schutte)
  Stable kernel version opinion? (Marc Ewing)

----------------------------------------------------------------------------

From: [email-masked] (Someone Short)
Subject: Help! Screwed up Boot Sector!
Date: 14 Oct 1994 01:00:01 GMT

I tried to install a new Boot Menu on my hard drive (which contains a
Linux and a MSDos partition) and in the process screwed up the
partition table (I think).  When I run fdisk (in Linux) the logical
start and physical start of the first partition (/dev/hda1, my Dos
partition) are different.  They should both be 1.  It doesn't seem to
be affecting my system any, since I can  use both Dos and Linux.  But
I'd rather set it back to the way it should be.  Does anyone know how?
Please?

Ryan
[email-masked]

------------------------------

From: [email-masked] (Janne Sinkkonen)
Crossposted-To: comp.os.386bsd.misc
Subject: Re: Nailed down to 386bsd or linux, now which one?
Date: 17 Oct 1994 19:27:34 +0200

Alan Cox <[email-masked]> wrote:

>Linus is based on standard human wetware technology 8)

Umm... you meen beerware? Well, that's de facto standard among
students in Finland.

Janne

------------------------------

From: [email-masked] (Vincent Pagel)
Subject: Re: Frame Maker for Linux!
Date: 17 Oct 1994 17:38:22 GMT

Another POINT about sucking : when I see how Framemaker can slow down
our Sparc10 or Hp735, I wonder if I'd really like to see the result on
my 486DX-8Mo RAM  .... FRAME is really HUGE 

                                Vincent Pagel   ( [email-masked] )

------------------------------

From: [email-masked] (Bill McCarthy)
Subject: xgopher and term
Date: 16 Oct 1994 21:45:21 -0400

Hiya:

Looked around and couldn't find anything that fit the bill. Anyone point
me to xgopher w/ term? TIA.

Bill McCarthy
[email-masked]

"Isn't it pretty to think so."
TTTTTTTTTTTTTTTTTTTTTTTTTTTT\__Jake Barnes___________________________
LinuX + i486dx2/66 
usual disclaimer 

   

------------------------------

From: [email-masked] (Harald Milz)
Subject: Re: Printing to postscript printer?
Reply-To: [email-masked]
Date: Mon, 17 Oct 1994 16:52:09 GMT

In comp.os.linux.misc, Brian Kwan ([email-masked]) wrote:
> What is the best way to print to a postscript printer??

lpr -P<printername> <file.ps>

Or did I miss something? Did you mean "print postscript files to a 
non-postscript printer"? This one has been solved and described in 
the Printing-HOWTO.

-- 
George Orwell 1984.  Northwestern 0.
                -- Chicago Reader 10/15/82
-- 
Harald Milz ([email-masked])      WWW: http://www.ix.de/editors/hm.html
iX Multiuser Multitasking Magazine      phone +49 (511) 53 52-377
Helstorfer Str. 7, D-30625 Hannover     fax   +49 (511) 53 52-378
Opinions stated herein are my own, not necessarily my employer's.

------------------------------

From: [email-masked] (Harald Milz)
Subject: Re: siscad
Reply-To: [email-masked]
Date: Mon, 17 Oct 1994 16:54:02 GMT

In comp.os.linux.misc, Alexandra Griffin ([email-masked]) wrote:
> In article <[email-masked]>,
> Student van Paul de Bra <[email-masked]> wrote:
> >I've been looking for the siscad package at sunsite and at ftp.Germany.EU.net
> >and I can't find it there ! 
> >Where is it

> FTP to ic.eecs.berkeley.edu:/pub/Sis; be sure to grab the "sis-temp"
> file as well as the main source archive, since it contains needed
> patches for Linux.

There's a SISCAD entry in the Commercial-HOWTO which is still not 
on sunsite but on ftp.ix.de:/pub/Linux/docs/HOWTO/Commercial-HOWTO*.

-- 
Murphy's Law of Research:
        Enough research will tend to support your theory.
-- 
Harald Milz ([email-masked])      WWW: http://www.ix.de/editors/hm.html
iX Multiuser Multitasking Magazine      phone +49 (511) 53 52-377
Helstorfer Str. 7, D-30625 Hannover     fax   +49 (511) 53 52-378
Opinions stated herein are my own, not necessarily my employer's.

------------------------------

From: [email-masked] (Harald Milz)
Subject: Re: YOUR VERY OWN IDLE DAEMON
Reply-To: [email-masked]
Date: Mon, 17 Oct 1994 16:56:08 GMT

In comp.os.linux.misc, Cynon ([email-masked]) wrote:
> OK, what the Hell is an idle deamon?

Something like BogoMips. 

-- 
You can't judge a book by the way it wears its hair.
-- 
Harald Milz ([email-masked])      WWW: http://www.ix.de/editors/hm.html
iX Multiuser Multitasking Magazine      phone +49 (511) 53 52-377
Helstorfer Str. 7, D-30625 Hannover     fax   +49 (511) 53 52-378
Opinions stated herein are my own, not necessarily my employer's.

------------------------------

From: [email-masked] (Byron A Jeff)
Crossposted-To: comp.unix.questions
Subject: Re: Comments about the Linux WP idea
Date: 15 Oct 1994 04:16:45 GMT

In article <[email-masked]>,
 <[email-masked]> wrote:
>In article <[email-masked]>, [email-masked]
>(Byron A Jeff) writes: 
> : I think we can integrate existing editor (JED), menu(dialog), mouse(the
> : selection replacement of the Mouseless Commander), formatter (QuikScript),
> : and renderer (GhostScript) into a workable system that can meet the basic
> : wordprocessing demands of most folks.
>
>The fundamental question is how the buffer is going to be implemented---
>what will the data structure look like.  Fundamentally, a word processor and
>an editor are very different.  I suspect that the best choice for a data
>structure for the WP would consist of a linked list of paragraphs.  Perhaps
>the paragraph should be implemented as a buffer gap. Also, how will the
>character attributes be stored?  Should we store an attribute with each
>character?  Should the data structure consist of a parallel stream of
>attributes?  Questions like this are going to be fundamental to the
>development of the WP.  I suspect that it is NOT a good idea to integrate an
>existing editor into the WP.

Idea: The data structure should be a list of document fragments. The document
fragments are bounded by having the exact same attributes for each character
in the fragment. So a line of text like this:

This is normal <bold> And bold <italic> and bold italic <end_italic> <end_bold>

Would have three fragments:
1) This is normal
2) And bold
3) and bold italic

You could even break fragments at line and page breaks.

We could even meta-structure paragraphs over a contiguous set of fragments.

The win is that since oftentimes long strings of characters have the
same attribute the attribute need not be repeated over and over again.
Also adding/deleting characters in the middle of a string doesn't affect
the structure much.

The problem is mapping the current cursor position and more importantly
cursor movement to the fragment list.

Also use UNICODE so that Richard doesn't blow a gasket! ;-)

>
>The user interface should be fairly simple to implement.  For example,
>consider my S-Lang library.  It already has routines for multiple keymaps,
>keyboard tty input, Screen Managment Facility (with color), etc...  In fact,
>much of JED is interfaced to this library.  The rest of JED consists of
>routines to handle its representation of the buffer.  Finally, I am also
>working on a Text based window library for S-Lang.  One could incorporate
>this library into the WP to handle windows, Scroll bars, dialog boxes,
>etc... to make it look pretty.

Cool. A library with the basic elements is even better then trying to
hack away at an existing completed editor.

>
>But, the fundamental question remains:  What will the representation of the
>buffer look like?

Comments on the above?

>
>Finally, is this project worth doing? 

Yes.

> How well does DOSEMU run Wordperfect?

Fairly well.

>Can it run Wordperfect over a serial line? 

It has sticking points with some of the function key assignments and some
parts of the display missing but yes.

> If we ever do get a WP for Linux
>off the ground and functional, will it be better than Wordperfect running
>under DOSEMU over a serial line?   (I am emphasising serial line because I
>would like to use something like it remotely from, e.g., a vt100)

Yes. Here's why. DOSEMU+WordPerfect cannot be bundled as a simple package
in any distribution. DOSEMU seems to need to be recompiled with every
kernel revision, and WordPerfect must be purchased. So the setup time
in addition to any standard Linux installation is substantial.

Also as I pointed out before DOSEMU is flawless in console mode. However
once you start trying to use it remotely some of its warts start to show
due to a lack of keyboard and video mappings to remote keyboards and screens.

Linux needs a wordprocessor that easy to use, runs out the box, and doesn't
require a whole lot of additional tools to function, and works remotely
on that vt100 you're talking about (which rules out EZ). 

I have SCO WordPerfect sitting in a box waiting for me to install it.
All I have to do is upgrade my kernel, get the IBSC2 module, compile it,
insmod it into my new kernel, Load Wordprefect, install it and then I'm 
ready to get started.

On the other hand I wanted to look at JED which wasn't in the Slackware 1.2.0
distribution but is in 2.0.X. I ftp'ed the package and un-tarred it. It ran
perfectly. And fast too because of no emulation.

An aside: have you tried the DOS version on JED under the emulator? You should
and check to speed difference. BTW I haven't. Yet.

I'm real sure about this project. It's a need.

BAJ
-- 
Another random extraction from the mental bit stream of...
Byron A. Jeff - PhD student operating in parallel - And Using Linux!
Georgia Tech, Atlanta GA 30332   Internet: [email-masked]

------------------------------

From: [email-masked]
Crossposted-To: comp.terminals,comp.unix.programmer
Subject: Line Drawing Characters
Date: 16 Oct 1994 03:02:27 GMT
Reply-To: [email-masked]

Hi,

   After reading the man pages for termcap and terminfo as well as the
termcap/terminfo book, I have come to the conclusion that termcap/terminfo
has very little to say about line drawing characters and alternate character
sets.  It is my understanding that there are basically four termcap strings
that must be considered: 

          ac      str            graphic character set pairs aAbBcC -
                                 def=VT100
          ae      str     (P)    end alternate character set
          as      str     (P)    start alternate character set

and another to initialize the alternate character set.

Now, I understand each of these strings but I do not understand the
relationship between the `ac' and the `ae/as' strings.  If `ac' is given,
then are the line drawing characters supposed to be in the alternate
character set?  What if `ac' is not given?  Then do I assume that the
terminal uses VT100 line drawing sequences?  For the vt100, I have to switch
to the appropriate alternative character set and then output `l', `m',
etc... to get line drawing characters.  For systems with the `ac' string
defined, I output the charactor paired to `l', etc... Unfortunately, this
does not work on all systems because some alternative character sets do not
include the line drawing characters.

Summary of my questions:

  1.  If `ac' is not given, do I assume that there is no line drawing
      characters, or, as is suggested in the man page, do I assume VT100
      style line drawing?
      
  2.  If `ac' is given, do I assume that the line drawing characters are in
      the alternate character set?
      
This seems to be one of those little understood gray areas--- at least this
is suggested by the lack of any clear documentation.  I do not understand
why it was not simply implemented as a boolean flag: either the terminal
supports line drawing characters or not.  If it does, do XXX to begin using
these characters and do YYY to end the mode.

Thanks.
--
     _____________
#___/John E. Davis\_________________________________________________________
#
# internet: [email-masked]
#   bitnet: davis@ohstpy
#   office: 617-735-6746
#

------------------------------

From: [email-masked] (Adam J. Richter)
Crossposted-To: comp.os.linux.help
Subject: Re: Yggdrasil Fall 1994: buyers be aware
Date: 15 Oct 1994 03:47:59 GMT

In article <[email-masked]>,
Roger Bicknell <[email-masked]> wrote:
>I downloaded the revB vmlinux from ftp.yggdrasil.com and
>RAWRITE'ed it to a floppy. I took this home and booted
>from it. It did find my sony cdu33a cdrom. But the root
>drive will not give me permission to write ANYTHING to it,
>even as 'root' user - thus all fails.

        The boot floppy image is bootflpy-3.5-720k, not vmlinux.
That is why you failed to boot linux.  Also note, you must use a
low density boot floppy.  We do provide copies of the new boot
floppies for free, by the way.

        In the future, rather than jumping to the conclusion that
you have found an Yggdrasil bug and posting a long rant devoid
of technical details like specific error messages, you might want to ask
"am I doing something wrong?"  If you think you have found a
bug, then report it to us (as chapter 10 of the manual explains,
we do not charge people to report bugs).

--
Adam J. Richter                           Yggdrasil Computing, Incorporated
(408) 261-6630                            "Free Software For The Rest of Us."

------------------------------

From: [email-masked] (Pat Cai)
Subject: PPP (Chat) problem!
Date: 16 Oct 1994 02:55:18 GMT

Hi,

  I have a strange problem using PPP.  When I first boot my computer, I
have no way to make PPP dial a number.  I would have to exit and goto
DOS/ms-windows to make a modem connection.  Then when I come back to Linux,
PPP behave perfectly.

  Is this a modem initialization problem?  Thanks for the help.

-- Pat Cai ([email-masked])

------------------------------

From: [email-masked] (Andi Kleen)
Subject: Re: What is Linux good for?
Date: Mon, 17 Oct 1994 11:40:58 GMT

Matthew B Shoemake ([email-masked]) wrote:
> On with my questions.  I am not yet using linux.  I have tried OS/2,
> DOS, Windows, and I am not happy with them.  I am a UNIX fan and am
> thinking of giving linux a shot.  Here are a few things I'd like to
> know before I go through with the deed:

> 1) I read that Linux can run some DOS executables using DOSEMU, but I
> also read that there is no support for Windows exectuables yet.  But I
> have also seen mention of Windoze.  So do we support Windows
> executables or not?  (Trying to decide whether to keep a partion with
> DOS and Win on it.)

You can run Windows 3.0 in Real-Mode in DosEmu or you can wait for
Wine. Wine is a windows abi emulator (like Sun's WABI) which is
currently in development. At the moment it can't run any of the mayor
Windows applications like WinWord, WP etc (look at the FAQ in
comp.emulators.ms-windows.wine). But in a year or so this might be
different. So keep your DOS/Windows partition.

> 2) I read that I can use Ghostscript to print non-ASCII files, such as
> PS files to my HP Deskjet 500.  Can anyone verify that this works
> well?

On my Deskjet 520 it works well. 

> 3) I'd like to get a little feed back on the speed of using xterms and
> X windows that are executing on remote machines using a 14.4Kbps modem
> and Xfree86 with linux.  I will be doing this a lot so its efficiency
> is a major concern in my decision whether to switch to linux or not.

X-Window over a 144k modem line? I don't think that's a good idea..

-Andi
-- 
[email-masked]      Nonsense is better than no sense at all.
|Andi Kleen@2:2480/440.12                           -NoMeansNo, 0+2=1
|PGP-Key available.

------------------------------

From: [email-masked] (Klamer Schutte)
Subject: Re: Word processors for Linux?
Date: Mon, 17 Oct 1994 18:37:10 GMT

In <[email-masked]> [email-masked] (Byron A Jeff) writes:

:I'm coming to the conclusion that we're going to need multiple tools in order
:to come close to solving everyone's problems:

:1) A X based WYSIWYG English WordProcessor. EZ seems to fill this slot.
:2) A X based WYSIWYG Multilingual WP. This product does not exist. Someone
:   must write it. I have no idea how feasible it is to do? Richard, Michael?
:3) A text based, non WYSIWYG English WordProcessor. This is my proposed
:   application. It's definitely doable.
:4) A text based, non WYSIWYG Multilingual WP. Is this possible?
: 
:Lastly we'll probably need a suite of conversion tools to convert existing
:document formats into the formats for the above tools.

:I'm almost convinced that one application cannot solve the whole problem.
:I think we need to start thinking about splitting the job into multiple
:tools. Let's separate the discussions by tagging the type:

:(WYSIWYG, not ML)
:(TEXT, not ML)
:(WYSIWYG, ML)
:(TEXT, ML)

:in the subjects so that each group can focus on the type of WP needed instead
:of arguing what features the supposed global WP needs.

Well, you make it more complicated then it should be. The 'not ML' 
parts are covered by the 'ML' parts, so this does not have to be done
twice. And WYSIWYG vs. TEXT is just a matter of the display part of the
program -- not the most difficult part, if you want to clone the best of
TeX and Ms-Word.

So you basically need only one program ('ML') with two display backends : 
WYSIWYG and TEXT. 
-- 
Klamer Schutte  -- +31-15-786054 / +31-15-692000
[email-masked] / [email-masked]
http://www.ph.tn.tudelft.nl:2000/People/klamer/Klamer.html

------------------------------

From: [email-masked] (Marc Ewing)
Subject: Stable kernel version opinion?
Date: Sun, 16 Oct 1994 00:01:44 GMT

We are putting the finishing touches on our CD-ROM distribution
and I was wondering if anyone had any thoughts on the stability
of some of the more recent kernels.

Our install procedure allows you to use multiple kernel versions,
and right now we have 1.0.9 and 1.1.18.  Version 1.1.53 has been
a little bit troublesome and may not make the cut.  What version
do you think is the latest, most stable release?

Thanks for your opinions,
Marc

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************